#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>

int main(int argc, char *argv[]) {
    if(argc != 2) {
        fprintf(stderr, "Uso: %s <tiros>\n", argv[0]);
        return 1;
    }

    srand(time(NULL));

    size_t tiros = atol(argv[1]);

    size_t positivos = 0;

    for(size_t i = 0; i < tiros; i++) {
        double x = (double)random() / RAND_MAX;
        double y = (double)random() / RAND_MAX;
        if(x * x + y * y < 1)
            positivos++;
    }

    double pi = 4.0 * positivos / tiros;

    printf("Tiros = %zd, Positivos = %zd\n", tiros, positivos);
    printf("π ~= %.15f\n", pi);
    printf("ε = %f%%\n", 100 * fabs(M_PI - pi) / M_PI);
    return 0;
}

